#
# spec file for package officebib (Version 3.0.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  update-desktop-files
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm update-desktop-files

Name:         officebib
URL:          http://www.duden.de
Version:      3.0.1
Release:      0
Source:       officebib-SuSE_3.0.1.tar.gz
Source1:      officebib-font.tar.gz
Source2:      d1.jpg
Patch:        officebib-bin.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Productivity/Publishing/Other
License:      Commercial
Summary:      Office Bibliothek: Duden  - Richtiges und gutes Deutsch
NoSource:     0
Requires:     officebib-data

%description
This is a framework offering access to lexika provided by Duden,
Brockhaus and Langenscheidt.

Included is "Duden  - Richtiges und gutes Deutsch" in German.

To start is, enter the following command within an xterm on the command
line:

/opt/officebib/officebib



SuSE series: pay

%package data
Group:        Productivity/Publishing/Other
License:      Commercial
Summary:      Office Bibliothek: Duden  - Richtiges und gutes Deutsch

%description data
This is a framework offering access to lexika provided by Duden,
Brockhaus and Langenscheidt.

Included is "Duden  - Richtiges und gutes Deutsch" in German.

To start is, enter the following command within an xterm on the command
line:

/opt/officebib/officebib



SuSE series: pay

%prep
%setup -q -D -T -c

%build
#cat > %name.csh <<EOF
#setenv PATH ${PATH}:/opt/%{name}
#EOF
#cat > %name.sh <<EOF
#PATH=${PATH}:/opt/%{name}
#EOF
cat > %name.desktop <<EOF
[Desktop Entry]
Type=Application
Icon=officebib
Exec=officebib
Name=The German Office Library (Duden)
Name[de]=Office-Bibliothek (Duden)
EOF

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
tar xzf %{S:0} -C $RPM_BUILD_ROOT
tar xzf %{S:1} -C $RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT
patch -p 0 < %{P:0}
popd
chmod 644 $RPM_BUILD_ROOT/opt/officebib/data/*
chmod 755 $RPM_BUILD_ROOT/opt/officebib/data
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s /opt/officebib/programicons/officebib_32x32.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/officebib.png
find $RPM_BUILD_ROOT/opt/officebib -maxdepth 1 \
  | sed '1d;/data$/d' | sed "s|$RPM_BUILD_ROOT||" > main.list
#install -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
#install %{name}.*sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s /opt/officebib/officebib $RPM_BUILD_ROOT/usr/bin/officebib
%suse_update_desktop_file -i %name Office Dictionary

%clean
rm -fr $RPM_BUILD_ROOT

%files -f main.list
%defattr(-, root, root)
%dir /opt/officebib
/usr/bin/officebib
%{_datadir}/pixmaps/officebib.png
%{_datadir}/applications/*
#%config %{_sysconfdir}/profile.d/*

%files data
/opt/officebib/data

%changelog -n officebib
* Mon Sep 22 2003 - ke@suse.de
- Split package: officebib and officebib-data; thus it is possible to
  update the binary without removing the data files.
* Tue Sep 09 2003 - sndirsch@suse.de
- fixed subcategory: Language --> Dictionary
* Tue Sep 09 2003 - sndirsch@suse.de
- fixed location and size of desktop icon
- use symlink /usr/bin/officebib instead of extending path via
  /etc/profile.d/officebib.{csh,sh}
* Thu Aug 28 2003 - ke@suse.de
- Update to version 3.0.1.
- Prepare .desktop file (currently not working).
* Fri Aug 22 2003 - ke@suse.de
- Initial package.
- Add officebib-font.tar.gz and apply officebib-bin.patch to make it
  use supplied fonts (courtesy by Mike Fabian).
